[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TCollection.Error

Set error code.

## Declaration

Source position: objects.pp line 428

`procedure TCollection.Error(`
`Code: Integer;`
`Info: Integer`
`); virtual;`

## Description

Error is called by the various TCollection methods in case of an error condition. The default behaviour is to make a call to RunError with an error of 212-Code.

This method can be overridden by descendent objects to implement a different error-handling.

## See also

Abstract |  | Abstract error handler.